Migration guide - ShipmentDiscountConnector

Edit on GitHub

Upgrading from version 3.0.* version to 4.0.0

In this new version of the ShipmentDiscountConnector module, we have added support of split delivery. You can find more details about the changes on the ShipmentDiscountConnector module release page.

This release is a part of the Split delivery concept migration. When you upgrade this module version, you should also update all other installed modules in your project to use the same concept as well as to avoid inconsistent behavior. For more information, see Split Delivery Migration Concept.

To upgrade to the new version of the module, do the following:

  1. Upgrade the ShipmentDiscountConnector module to the new version:
composer require spryker/shipment-discount-connector: "^4.0.0" --update-with-dependencies
  1. Generate the transfer objects:
console transfer:generate

Estimated migration time: 5 min


Upgrading from version 1.* to version 3.0.0

To dismantle the Horizontal Barrier and enable partial module updates on projects, a Technical Release took place. Public API of source and target major versions are equal. No migration efforts are required. Please [contact us](https://spryker.com/en/support/) if you have any questions.